Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Atk::SelectionSignals Class Reference

Abstract base class that implements the virtual signal handlers for Atk::Selection. More...

`#include <xfc/atk/selectionsignals.hh>`

Inheritance diagram for Xfc::Atk::SelectionSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_selection_changed ()
    Called when an object's selection changes.

## Protected Member Functions

Constructors

- virtual ~SelectionSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Atk::Selection.

The documentation for this class was generated from the following file:

- selectionsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3